summaryrefslogtreecommitdiff
path: root/tests/openpgp/detach.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/detach.test')
-rwxr-xr-xtests/openpgp/detach.test18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/openpgp/detach.test b/tests/openpgp/detach.test
new file mode 100755
index 0000000..9b68e00
--- /dev/null
+++ b/tests/openpgp/detach.test
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Copyright 1998,1999,2000,2001,2002,2003,2004,2005,2006,
+# 2007 Free Software Foundation, Inc.
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved. This file is
+# distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY, to the extent permitted by law; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking detached signatures
+for i in $plain_files $data_files ; do
+ echo "$usrpass1" | $GPG --passphrase-fd 0 -sb -o x --yes $i
+ $GPG -o /dev/null --yes x <$i || error "$i: bad signature"
+done
+